JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.cfg
Class JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant

Enclosing class:
  JaxbHibernateConfiguration.JaxbSecurity

    public static class JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="actions" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="entity-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="role" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `actions`
`protected String` | `entityName`
`protected String` | `role`

Constructor Summary
`JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant()`

Method Summary
`String` | `getActions()` Gets the value of the actions property.
`String` | `getEntityName()` Gets the value of the entityName property.
`String` | `getRole()` Gets the value of the role property.
`void` | `setActions(String value)` Sets the value of the actions property.
`void` | `setEntityName(String value)` Sets the value of the entityName property.
`void` | `setRole(String value)` Sets the value of the role property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actions

    protected String actions

### entityName

    protected String entityName

### role

    protected String role

Constructor Detail

### JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant

    public JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant()

Method Detail

### getActions

    public String getActions()

  Gets the value of the actions property.

  Returns:
    possible object is `String`

### setActions

    public void setActions(String value)

  Sets the value of the actions property.

  Parameters:
    `value` - allowed object is `String`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getRole

    public String getRole()

  Gets the value of the role property.

  Returns:
    possible object is `String`

### setRole

    public void setRole(String value)

  Sets the value of the role property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.